#ifndef _LINUX_BOOTMEM_TOOLS_H
#define _LINUX_BOOTMEM_TOOLS_H

#include <linux/bootmem.h>

extern void dump_bootmem_core(bootmem_data_t * bdata);
extern void dump_bootmem(void);
extern void bootmem_freeinfo(unsigned long *freeblocks,
			     unsigned long *totalfree,
			     unsigned long *minfree,
			     unsigned long *maxfree,
			     unsigned long *gcd);
extern void *alloc_maxfree_bootmem(int *size);

#endif				/* _LINUX_BOOTMEM_TOOLS_H */
