#include <linux/module.h>
#include <linux/mm.h>
#include <linux/mmzone.h>
#include <linux/pagemap.h>
#include <linux/bootmem.h>
#include <linux/compiler.h>

unsigned long totalram_pages __read_mostly;
EXPORT_SYMBOL(totalram_pages);

static bootmem_data_t contig_bootmem_data;
struct pglist_data contig_page_data = {.bdata = &contig_bootmem_data };

EXPORT_SYMBOL(contig_page_data);

unsigned long max_mapnr;
EXPORT_SYMBOL(max_mapnr);

unsigned long num_physpages;
EXPORT_SYMBOL(num_physpages);

int in_gate_area_no_task(unsigned long addr)
{
#ifdef AT_SYSINFO_EHDR
	if ((addr >= FIXADDR_USER_START) && (addr < FIXADDR_USER_END))
		return 1;
#endif
	return 0;
}
